Quassel IRC - Bug #701

Cannot bring quasselclient back from tray (after some time)
05/21/2009 03:01 PM - reavertm

Status: Resolved Start date: 05/21/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour

Target version:
Version: 0.3.0.x 0S: Linux

Description

As of git version ~20090520, there is issue with restoring quasselclient window back from tray. It started to happen over week ago.
Steps to reproduce:

1. Open quasselclient maximized (maximized - this may not be the rule, at least it happens for me when it's maximized)

2. "Close" main window - it's now hidden in tray.

3. Click on quasselclient icon in tray to bring back main window.

4. Repeat until it refuses to appear (may take some time, happens rather randomly).

Note that quasselclient has not crashed, as it's tray icon is available and responsive all the time.
I'm using KDE integration (kdelibs-4.2.3), Qt-4.5.1, with webkit support. no phonon support compiled in.

History

#1 - 05/21/2009 03:07 PM - reavertm

Options (as requested):

- Show system tray icon (enabled) - disabling t doesn't seem to change anything btw
- Minimize to tray on minimize (enabled)

- Minimize to tray on close (enabled)

#2 - 05/25/2009 11:44 PM - Sputnick
- Status changed from New to Assigned
- Assignee set to Sputnick

- Target version set to 0.4.3

#3 - 05/26/2009 01:29 AM - reavertm

It looks like it's somewhat related to quasselcore (!) config files.
There was no git commit recently and this particular issue with not being able to bring quasselclient from tray seems to be well gone (please read last
lines).

But there's different issue that quasselcore takes some part in (separate bug, or just change description?)

A bit of maybe relevant background:

Recently, on Gentoo, start-stop-daemon seems to be either unable to cleanly shutdown quasselcore server (after some IRC load received) - or least it
complains it's not able to do it, but quasselclient process is gone. That would mean that it either failed to exit cleanly or crashed (crash is not the case
- no core dump in my /tmp/core/ dir and coredumps are forced there on my machine) or just initscript is suddenly broken.

Steps to reproduce on my box:

1. quasselcore up & running - closing quasselclient and launching is again works well, window position is restored.

2. remember last quasselclient window size/pos

3. stop quasselclient

4. stop & start quasselcore

5. launch quasselclient - it doesn't restore it's previous window size/pos - it's more or less 400x400 window. Does quasselcore keep window size/pos
values for quasselclient? And happens to not save/restore them correctly?

Should | set the same config dir for quasselclient and quasselcore?

For me it's ~/.quassel/ for quasselcore, and ~/.config/quassel-irc.org/ for quasselclient.
My previous issue with bringing back window from tray may have gone when | removed quasselclient.conf from ~/.quassel/ directory.

#4 - 05/26/2009 01:31 AM - reavertm

or least it complains it's not able to do it, but guasselelient quasselcore process is gone
#5 - 07/01/2009 04:31 PM - reavertm

I can no longer reproduce this (maybe quassel config file is no longer defected) - | guess this bug can be closed for now.

#6 - 07/01/2009 04:32 PM - reavertm

| can no longer reproduce this (maybe quassel config file is no longer defected) - | guess this bug can be closed for now.

#7 - 08/05/2009 01:50 PM - Marix

| have the same problem using Quassel Client 0.4.3 on OpenSUSE 11.1 x86, KDE 4.3, QT 4.5 running agains a 0.4.1 Quassel Core. In my case
there is a 100% method to reproduce:

1) Open Quassel (maximized)

2) Switch Desktops

3) Switch Desktop back

4) Clicking the Quassel Traybar icon will open Quassel, but it will instantly minimize again.

5) After a few dozen attemps quassel will finally open. Seems that dis-, and reconnecting from the core makes one need less attempts.

#8 - 08/19/2009 02:46 PM - Marix
| upgraded to OpenSUSE 11.2 Milestone 5 and still have the same problem.

#9 - 09/11/2009 12:56 AM - Sputnick
- Target version deleted (0.4.3)

#10 - 05/11/2010 10:45 PM - Sputnick
- Status changed from Assigned to Resolved

- Version changed from 0.5-pre to 0.3.0.x

This should've been fixed with the tray icon changes that have gone into 0.5 and/or 0.6. Please let me know if the issue still persists.
